Package org.eclipse.microprofile.config.tck.configsources

# Class CustomConfigSourceProvider

java.lang.Object
org.eclipse.microprofile.config.tck.configsources.CustomConfigSourceProvider

All Implemented Interfaces:
  `ConfigSourceProvider`

public class CustomConfigSourceProvider extends Object implements ConfigSourceProvider

Author:
  Mark Struberg

## Constructor Summary

Constructors
Constructor
Description
`CustomConfigSourceProvider()`

## Method Summary

Modifier and Type
Method
Description
`Iterable<ConfigSource>`
`getConfigSources(ClassLoader forClassLoader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CustomConfigSourceProvider

public CustomConfigSourceProvider()

## Method Details

### getConfigSources

public Iterable<ConfigSource> getConfigSources(ClassLoader forClassLoader)

Specified by:
  `getConfigSources` in interface `ConfigSourceProvider`